Skip to main content
`Ctrl`+`K`

# PetscLogNestedBegin

Turns on nested logging of objects and events. This logs flop rates and object creation and should not slow programs down too much.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogNestedBegin(void)

Logically Collective on `PETSC_COMM_WORLD`, No Fortran Support

## Options Database Keys

- -log_view :filename.xml:ascii_xml - Prints an XML summary of flop and timing information to the file

## Example Usage

          PetscInitialize(...);
          PetscLogNestedBegin();
           ... code ...
          PetscLogView(viewer);
          PetscFinalize();

## See Also

`PetscLogDump()`, `PetscLogView()`, `PetscLogTraceBegin()`, `PetscLogDefaultBegin()`

## Level

advanced

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages